#!/bin/sh
set -e -x
. config.sh

umask 022

export LIBPREFIX WINEPREFIX

#rm -rvf "$WINEPREFIX" # DEBUG FIXME: remove this

mkdir "$WINEPREFIX"
cp -avf "$LIBPREFIX"/skel/* "$WINEPREFIX"
perl -p -e 's/%([^%]*)%/$ENV{$1}/ge' <"$LIBPREFIX/config" >"$WINEPREFIX/config"
gunzip -c /usr/share/doc/wine/generic.ppd.gz >"$WINEPREFIX/generic.ppd"
gunzip -c /usr/share/doc/wine/winedefault.reg.gz > "$WINEPREFIX/fake_windows/winedefault.reg"
perl -p -e 's/%([^%]*)%/$ENV{$1}/ge' <"$LIBPREFIX/psdrv.reg" > "$WINEPREFIX/fake_windows/psdrv.reg"
regedit "$WINEPREFIX/fake_windows/winedefault.reg"
regedit "$WINEPREFIX/fake_windows/psdrv.reg"

cp "$LIBPREFIX/$INSTALLFILE" "$WINEPREFIX/fake_windows/Temp"
cd "$WINEPREFIX/fake_windows/Temp/"
wine "$WINEPREFIX/fake_windows/Temp/$INSTALLFILE" 2>/dev/null
rm "$WINEPREFIX/fake_windows/Temp/$INSTALLFILE"

# Set up font metrics
DOCPDF_SETUP_METRICS=1 "$LIBPREFIX/../convert.sh" < "$LIBPREFIX/sample.doc" >/dev/null

echo ""
echo "Automatic installation complete."
echo "Now set up your Windows/Fonts directory."
